# Get Record Templates

{% hint style="warning" %}
This API endpoint requires the **Plus** version of Sonoran CAD or higher. For more information, see our [pricing ](/cad/pricing/faq.md)page.
{% endhint %}

## Get Record Templates

<mark style="color:green;">`POST`</mark> `https://api.sonorancad.com/general/get_templates`

This endpoint allows you to retrieve all custom record and report templates in your community.

#### Request Body

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| templateId | number | Unique template ID       |
| id         | string | Your community's ID      |
| key        | string | Your community's API Key |
| type       | string | GET\_TEMPLATES           |
| data       | array  | Empty Array              |

{% tabs %}
{% tab title="200 " %}

```
[{RECORD TEMPLATES}]
```

{% endtab %}

{% tab title="400 " %}

```
INVALID REQUEST TYPE
INVALID COMMUNITY ID
API IS NOT ENABLED FOR THIS COMMUNITY
INVALID API KEY
```

{% endtab %}
{% endtabs %}

```javascript
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "GET_TEMPLATES",
    "recordTypeId": 123, // OPTIONAL - Matches a specific record's recordTypeId field
}
```

#### Record Formatting

Custom records require a strict format with several dozen different data fields. You can view a detailed explanation of [custom record formatting](/cad/api-integration/api-endpoints/general/custom-records.md#record-formatting).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/general/custom-records/get-record-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
